Debian Bug report logs - #673041
dialog: rename button does not work with -nook

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Serge Hallyn <serge.hallyn@canonical.com>

Date: Tue, 15 May 2012 16:54:01 UTC

Severity: important

Tags: patch

Found in version dialog/1.1-20120215-1

Fixed in version dialog/1.1-20120215-2

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#673041; Package dialog. (Tue, 15 May 2012 16:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serge Hallyn <serge.hallyn@canonical.com>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. (Tue, 15 May 2012 16:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Serge Hallyn <serge.hallyn@canonical.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: rename button does not work with -nook
Date: Tue, 15 May 2012 11:50:38 -0500
Package: dialog
Version: 1.1-20120215-1
Severity: important
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu quantal ubuntu-patch

Dear Maintainer,

If I do

dialog --clear --nook --inputmenu "a" 20 50 10 "Username:" "a"

then the rename button does not work - it exits immediately rather than
letting me rename the field contents.  With the following patch, thanks
to Lebedev Vadim, it is fixed.

*** /tmp/tmpGdzkvU/bug_body
In Ubuntu, the attached patch was applied to achieve the following:

  [ Lebedev Vadim ]
  * debian/patches/bug_fix_333909: fix -rename and -nook button together.
    (LP: #333909)

Thanks for considering the patch.

diff -Nru dialog-1.1-20120215/debian/patches/bug_fix_333909 dialog-1.1-20120215/debian/patches/bug_fix_333909
--- dialog-1.1-20120215/debian/patches/bug_fix_333909	1969-12-31 18:00:00.000000000 -0600
+++ dialog-1.1-20120215/debian/patches/bug_fix_333909	2012-05-15 11:41:24.000000000 -0500
@@ -0,0 +1,20 @@
+Description: correct mapping of button-codes with --nook option
+Author: Lebedev Vadim <abraham1901@gmail.com>
+Bug-Ubuntu: https://bugs.launchpad.net/ubuntu/+source/dialog/+bug/333909
+Reviewed-By: Serge Hallyn <serge.hallyn@ubuntu.com>
+Last-Update: <15-05-2012>
+
+--- dialog-1.1-20111020.orig/menubox.c
++++ dialog-1.1-20111020/menubox.c
+@@ -686,7 +686,10 @@ dlg_menu(const char *title,
+ 				 FALSE, width);
+ 		break;
+ 	    case DLGK_ENTER:
+-		result = dlg_enter_buttoncode(button);
++                if (is_inputmenu)
++                   result = dlg_ok_buttoncode(button);
++                else
++                   result = dlg_enter_buttoncode(button);
+ 
+ 		/*
+ 		 * If dlg_menu() is called from dialog_menu(), we want to
diff -Nru dialog-1.1-20120215/debian/patches/series dialog-1.1-20120215/debian/patches/series
--- dialog-1.1-20120215/debian/patches/series	1969-12-31 18:00:00.000000000 -0600
+++ dialog-1.1-20120215/debian/patches/series	2012-05-15 11:41:03.000000000 -0500
@@ -0,0 +1 @@
+bug_fix_333909




Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. (Fri, 08 Jun 2012 10:09:17 GMT) Full text and rfc822 format available.

Message #8 received at 673041-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@his.com>
Cc: 673041-forwarded@bugs.debian.org, Serge Hallyn <serge.hallyn@canonical.com>
Subject: Bug#673041: dialog: rename button does not work with -nook (fwd)
Date: Fri, 8 Jun 2012 12:06:59 +0200 (CEST)
Hello.

Received this report from the Debian BTS.
Is the patch correct?

---------- Forwarded message ----------
From: Serge Hallyn <serge.hallyn@canonical.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Tue, 15 May 2012 11:50:38 -0500
Subject: Bug#673041: dialog: rename button does not work with -nook

Package: dialog
Version: 1.1-20120215-1
Severity: important
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu quantal ubuntu-patch

Dear Maintainer,

If I do

dialog --clear --nook --inputmenu "a" 20 50 10 "Username:" "a"

then the rename button does not work - it exits immediately rather than
letting me rename the field contents.  With the following patch, thanks
to Lebedev Vadim, it is fixed.

*** /tmp/tmpGdzkvU/bug_body
In Ubuntu, the attached patch was applied to achieve the following:

  [ Lebedev Vadim ]
  * debian/patches/bug_fix_333909: fix -rename and -nook button together.
    (LP: #333909)

Thanks for considering the patch.

diff -Nru dialog-1.1-20120215/debian/patches/bug_fix_333909 dialog-1.1-20120215/debian/patches/bug_fix_333909
--- dialog-1.1-20120215/debian/patches/bug_fix_333909	1969-12-31 18:00:00.000000000 -0600
+++ dialog-1.1-20120215/debian/patches/bug_fix_333909	2012-05-15 11:41:24.000000000 -0500
@@ -0,0 +1,20 @@
+Description: correct mapping of button-codes with --nook option
+Author: Lebedev Vadim <abraham1901@gmail.com>
+Bug-Ubuntu: https://bugs.launchpad.net/ubuntu/+source/dialog/+bug/333909
+Reviewed-By: Serge Hallyn <serge.hallyn@ubuntu.com>
+Last-Update: <15-05-2012>
+
+--- dialog-1.1-20111020.orig/menubox.c
++++ dialog-1.1-20111020/menubox.c
+@@ -686,7 +686,10 @@ dlg_menu(const char *title,
+ 				 FALSE, width);
+ 		break;
+ 	    case DLGK_ENTER:
+-		result = dlg_enter_buttoncode(button);
++                if (is_inputmenu)
++                   result = dlg_ok_buttoncode(button);
++                else
++                   result = dlg_enter_buttoncode(button);
+ 
+ 		/*
+ 		 * If dlg_menu() is called from dialog_menu(), we want to
diff -Nru dialog-1.1-20120215/debian/patches/series dialog-1.1-20120215/debian/patches/series
--- dialog-1.1-20120215/debian/patches/series	1969-12-31 18:00:00.000000000 -0600
+++ dialog-1.1-20120215/debian/patches/series	2012-05-15 11:41:03.000000000 -0500
@@ -0,0 +1 @@
+bug_fix_333909





Message #9 received at 673041-forwarded@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Santiago Vila <sanvila@unex.es>
Cc: Thomas Dickey <dickey@his.com>, 673041-forwarded@bugs.debian.org, Serge Hallyn <serge.hallyn@canonical.com>
Subject: Re: Bug#673041: dialog: rename button does not work with -nook (fwd)
Date: Fri, 08 Jun 2012 07:06:15 -0400
[Message part 1 (text/plain, inline)]
On Fri, Jun 08, 2012 at 12:06:59PM +0200, Santiago Vila wrote:
> Hello.
> 
> Received this report from the Debian BTS.
> Is the patch correct?

yes - it fixes the problem as reported (I don't see any side-effects).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Fri, 08 Jun 2012 11:51:42 GMT) Full text and rfc822 format available.

Notification sent to Serge Hallyn <serge.hallyn@canonical.com>:
Bug acknowledged by developer. (Fri, 08 Jun 2012 11:51:44 GMT) Full text and rfc822 format available.

Message #14 received at 673041-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 673041-close@bugs.debian.org
Subject: Bug#673041: fixed in dialog 1.1-20120215-2
Date: Fri, 08 Jun 2012 11:47:10 +0000
Source: dialog
Source-Version: 1.1-20120215-2

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.1-20120215-2.debian.tar.gz
  to main/d/dialog/dialog_1.1-20120215-2.debian.tar.gz
dialog_1.1-20120215-2.dsc
  to main/d/dialog/dialog_1.1-20120215-2.dsc
dialog_1.1-20120215-2_amd64.deb
  to main/d/dialog/dialog_1.1-20120215-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673041@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 08 Jun 2012 13:17:12 +0200
Source: dialog
Binary: dialog
Architecture: source amd64
Version: 1.1-20120215-2
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 673041
Changes: 
 dialog (1.1-20120215-2) unstable; urgency=low
 .
   * Applied Ubuntu patch from Lebedev Vadim to fix -rename and -nook.
     Reported by Serge Hallyn. Closes: #673041.
Checksums-Sha1: 
 13eceeb206521e2a7fb6e7710f6e36dc70730e1f 1423 dialog_1.1-20120215-2.dsc
 f19481eea794415b2fef9f959f48f5ca60db47d2 11098 dialog_1.1-20120215-2.debian.tar.gz
 5611789cec01f6bf9937b238129c6de3d4d436fe 323528 dialog_1.1-20120215-2_amd64.deb
Checksums-Sha256: 
 36562a6a6a171e075c926c5d63ffbb3e71c50bac949c1f5725e3170019eb0cf0 1423 dialog_1.1-20120215-2.dsc
 d373e040a19e0d5bc90e814261996814ad3a1cbb9571a650d6925848b8215ea2 11098 dialog_1.1-20120215-2.debian.tar.gz
 6386c9725637c8c1454deb608139f104fa94644e9d746463afb380b606e5eae3 323528 dialog_1.1-20120215-2_amd64.deb
Files: 
 ac423fb4886c0afb386400687c8ab378 1423 misc optional dialog_1.1-20120215-2.dsc
 4a47fba19d6c7b259a25a70714e7210a 11098 misc optional dialog_1.1-20120215-2.debian.tar.gz
 a958bd5d2b17042dacc3f97802c8002f 323528 misc optional dialog_1.1-20120215-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJP0eINAAoJEEHOfwufG4sy5QgIAJ2qqX2jwr73dEdJhI5J6P0Z
b9kYE6eXg+9jMrMXQ/fC6gcVn4BuQ/8sg32o2iyIFbQcY9dBuNBYo+kuDI4mTxBL
A4+hEkaJrGL/lzuVgujO3xUNCCEqswhakFnMhu0kuwrZTXkOS7HpSwVNsBrkVq+D
ksZW5yJcbR8Jdu2WJs5evaYNn7RRJ6L2WQZBKuujRpuGX5ta8lOqjgPQQrB8I34g
zlYmRUjlEC+zK4u60hLLpQdRsniu3X3QVc4BPaY/XnXT1IPc84Txdlpai9eXkxfE
uY4bIgifGchQaVJ+zivtmJ2BxlwWcla7XnZZjINXrfHmryu1jScrkanYFRcFnHg=
=WJFq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Jul 2012 07:27:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:25:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.